EDParser Class Reference

the main class to read a eDOC file More...

`#include <EDParser.hxx>`

Inheritance diagram for EDParser:

## Public Member Functions

| EDParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~EDParser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (WPXDocumentInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
void | setVersion (int vers)
| sets the works version More...

## Protected Member Functions

void | init ()
| inits all internal variables More...
void | createDocument (WPXDocumentInterface *documentInterface)
| creates the listener which will be associated to the document More...
void | newPage (int number)
| adds a new page More...
bool | createZones ()
| finds the different objects zones More...
bool | sendContents ()
| try to send the contents More...
bool | sendIndex ()
| try to send the index More...
bool | sendPicture (int pictId, bool compressed)
| try to send a picture More...
bool | readFontsName (MWAWEntry const &entry)
| parse the fonts name eDcF More...
bool | readIndex (MWAWEntry const &entry)
| parse the index zone More...
bool | readInfo (MWAWEntry const &entry)
| parse the Info zone More...
bool | findContents ()
| try to find the content zone More...
bool | decodeZone (MWAWEntry const &entry, WPXBinaryData &dt)
| try to decode a compress zone More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
MWAWInputStreamPtr | rsrcInput ()
| return the input input More...
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWContentListenerPtr & | getListener ()
| returns the listener More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
void | setListener (MWAWContentListenerPtr &listener)
| sets the listener More...
void | resetListener ()
| resets the listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
void | setFontConverter (MWAWFontConverterPtr fontConverter)
| sets the font convertor More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes

shared_ptr < EDParserInternal::State > | m_state
| the state More...

## Friends

class | EDText

## Detailed Description

the main class to read a eDOC file

## Constructor & Destructor Documentation

EDParser::EDParser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

EDParser::~EDParser | ( |  | ) |

virtual

destructor

## Member Function Documentation

bool EDParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |

virtual

checks if the document header is correct (or not)

no data fork, may be ok, but this means that the file contains no text, so...

Implements MWAWParser.

Referenced by parse().

void EDParser::createDocument | ( | WPXDocumentInterface * | documentInterface | ) |

protected

creates the listener which will be associated to the document

Referenced by parse().

bool EDParser::createZones | ( |  | ) |

protected

finds the different objects zones

Referenced by parse().

bool EDParser::decodeZone | ( | MWAWEntry const & | entry,
|  | WPXBinaryData & | dt
| ) |  |

protected

try to decode a compress zone

Referenced by sendPicture().

bool EDParser::findContents | ( |  | ) |

protected

try to find the content zone

Referenced by createZones().

void EDParser::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

Referenced by parse().

void EDParser::init | ( |  | ) |

protected

inits all internal variables

Referenced by EDParser().

void EDParser::newPage | ( | int | number | ) |

protected

adds a new page

Referenced by sendContents().

void EDParser::parse | ( | WPXDocumentInterface * | documentInterface | ) |

virtual

virtual function used to parse the input

Implements MWAWParser.

bool EDParser::readFontsName | ( | MWAWEntry const & | entry | ) |

protected

parse the fonts name eDcF

Referenced by createZones().

bool EDParser::readIndex | ( | MWAWEntry const & | entry | ) |

protected

parse the index zone

Referenced by createZones().

bool EDParser::readInfo | ( | MWAWEntry const & | entry | ) |

protected

parse the Info zone

Referenced by createZones().

libmwaw::DebugFile & EDParser::rsrcAscii | ( |  | ) |

protected

a DebugFile used to write what we recognize when we parse the document in rsrc

Referenced by createZones(), decodeZone(), readFontsName(), readIndex(), and readInfo().

MWAWInputStreamPtr EDParser::rsrcInput | ( |  | ) |

protected

return the input input

Referenced by decodeZone(), readFontsName(), readIndex(), and readInfo().

bool EDParser::sendContents | ( |  | ) |

protected

try to send the contents

Referenced by parse().

bool EDParser::sendIndex | ( |  | ) |

protected

try to send the index

Referenced by sendContents().

bool EDParser::sendPicture | ( | int | pictId,
|  | bool | compressed
| ) |  |

protected

try to send a picture

Referenced by flushExtra(), and sendContents().

## Friends And Related Function Documentation

friend class EDText

friend

## Member Data Documentation

shared_ptr<EDParserInternal::State> EDParser::m_state

protected

the state

Referenced by checkHeader(), createDocument(), findContents(), flushExtra(), init(), newPage(), readIndex(), sendContents(), sendIndex(), and sendPicture().

The documentation for this class was generated from the following files:

- EDParser.hxx
- EDParser.cxx